#!/bin/csh -f

echo "clean_all_fortran.csh"
echo " "

if (! -e WRFV3) then
	echo "This script must be run from the parent directory containing"
	echo "WRFV3.  Aborting"
	echo " "
	exit
endif

setenv ROOT_DIR `pwd`

if ( $1 != 's') then
	echo "WARNING: *.F, *.f* *.inc *.h *.code *.o, *.mod *.a and *.exe will be deleted for all directories below "
	echo "         "$ROOT_DIR
	echo " "
	echo -n "Continue? [y|n]: "
	set REQ = $<
	if (($REQ != 'y') && ($REQ != 'Y')) then
		echo "Aborted"
		exit
	endif
	echo "Continuing"
	echo " "
endif

set nonomatch

# Ensure that we can delete the files
chmod -R o+rw *

foreach d ( dyn_em dyn_exp dyn_nmm frame inc main phys share tools external \
            external/atm_ocn external/esmf_time_f90 external/fftpack/fftpack5 external/ioapi_share \
            external/io_esmf external/io_grib1 external/io_grib1/build external/io_grib1/grib1_util \
            external/io_grib1/MEL_grib1 external/io_grib1/WGRIB external/io_grib2 \
            external/io_grib2/bacio-1.3 external/io_grib2/g2lib external/io_grib2/g2lib/utest \
            external/io_grib_share external/io_grib_share/build external/io_int external/io_mcel \
            external/io_netcdf external/io_phdf5 external/io_pnetcdf external/RSL_LITE external/fpt_lib )

	if ( -e $ROOT_DIR/WRFV3/$d ) then
		pushd $ROOT_DIR/WRFV3/${d}
			rm -f *.o
			rm -f *.mod
			rm -f *.exe
			rm -f *.F
			rm -f *.f
			rm -f *.f90
			rm -f *.F90
			rm -f *.inc
			rm -f *.INC
			rm -f *.h
			rm -f *.H
			rm -f *.int
			rm -f *.INT
			rm -f *.code
			rm -f *.CODE
			rm -f *.a
			rm -f *.A
		popd
	endif
end

if ($1 != 's') then
	echo " "
	echo "End clean_all_fortran.csh"
endif

# End








